org.keycloak.services.resources.flows

## Class Urls

- java.lang.Object
- - org.keycloak.services.resources.flows.Urls

-     public class Urls
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Urls()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URI` | `accountAccessPage(URI baseUri, String realmId)`
    `static javax.ws.rs.core.UriBuilder` | `accountBase(URI baseUri)`
    `static URI` | `accountLogout(URI baseUri, URI redirectUri, String realmId)`
    `static URI` | `accountLogPage(URI baseUri, String realmId)`
    `static URI` | `accountPage(URI baseUri, String realmId)`
    `static javax.ws.rs.core.UriBuilder` | `accountPageBuilder(URI baseUri)`
    `static URI` | `accountPasswordPage(URI baseUri, String realmId)`
    `static URI` | `accountSessionsLogoutPage(URI baseUri, String realmId, String stateChecker)`
    `static URI` | `accountSessionsPage(URI baseUri, String realmId)`
    `static URI` | `accountSocialPage(URI baseUri, String realmId)`
    `static URI` | `accountSocialUpdate(URI baseUri, String realmName)`
    `static URI` | `accountTotpPage(URI baseUri, String realmId)`
    `static URI` | `accountTotpRemove(URI baseUri, String realmId, String stateChecker)`
    `static URI` | `loginActionEmailVerification(URI baseUri, String realmId)`
    `static javax.ws.rs.core.UriBuilder` | `loginActionEmailVerificationBuilder(URI baseUri)`
    `static URI` | `loginActionUpdatePassword(URI baseUri, String realmId)`
    `static URI` | `loginActionUpdateProfile(URI baseUri, String realmId)`
    `static URI` | `loginActionUpdateTotp(URI baseUri, String realmId)`
    `static URI` | `loginPasswordReset(URI baseUri, String realmId)`
    `static javax.ws.rs.core.UriBuilder` | `loginPasswordResetBuilder(URI baseUri)`
    `static URI` | `loginUsernameReminder(URI baseUri, String realmId)`
    `static javax.ws.rs.core.UriBuilder` | `loginUsernameReminderBuilder(URI baseUri)`
    `static URI` | `realmCode(URI baseUri, String realmId)`
    `static URI` | `realmInstalledAppUrnCallback(URI baseUri, String realmId)`
    `static URI` | `realmLoginAction(URI baseUri, String realmId)`
    `static URI` | `realmLoginPage(URI baseUri, String realmId)`
    `static javax.ws.rs.core.UriBuilder` | `realmLogout(URI baseUri)`
    `static URI` | `realmOauthAction(URI baseUri, String realmId)`
    `static URI` | `realmRegisterAction(URI baseUri, String realmId)`
    `static URI` | `realmRegisterPage(URI baseUri, String realmId)`
    `static javax.ws.rs.core.UriBuilder` | `socialBase(URI baseUri)`
    `static URI` | `socialCallback(URI baseUri)`
    `static URI` | `socialRedirectToProviderAuth(URI baseUri, String realmId)`
    `static URI` | `themeRoot(URI baseUri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Urls

          public Urls()

  - ### Method Detail

    - #### accountAccessPage

          public static URI accountAccessPage(URI baseUri,
                              String realmId)

    - #### accountBase

          public static javax.ws.rs.core.UriBuilder accountBase(URI baseUri)

    - #### accountPage

          public static URI accountPage(URI baseUri,
                        String realmId)

    - #### accountPageBuilder

          public static javax.ws.rs.core.UriBuilder accountPageBuilder(URI baseUri)

    - #### accountPasswordPage

          public static URI accountPasswordPage(URI baseUri,
                                String realmId)

    - #### accountSocialPage

          public static URI accountSocialPage(URI baseUri,
                              String realmId)

    - #### accountSocialUpdate

          public static URI accountSocialUpdate(URI baseUri,
                                String realmName)

    - #### accountTotpPage

          public static URI accountTotpPage(URI baseUri,
                            String realmId)

    - #### accountTotpRemove

          public static URI accountTotpRemove(URI baseUri,
                              String realmId,
                              String stateChecker)

    - #### accountLogPage

          public static URI accountLogPage(URI baseUri,
                           String realmId)

    - #### accountSessionsPage

          public static URI accountSessionsPage(URI baseUri,
                                String realmId)

    - #### accountSessionsLogoutPage

          public static URI accountSessionsLogoutPage(URI baseUri,
                                      String realmId,
                                      String stateChecker)

    - #### accountLogout

          public static URI accountLogout(URI baseUri,
                          URI redirectUri,
                          String realmId)

    - #### loginActionUpdatePassword

          public static URI loginActionUpdatePassword(URI baseUri,
                                      String realmId)

    - #### loginActionUpdateTotp

          public static URI loginActionUpdateTotp(URI baseUri,
                                  String realmId)

    - #### loginActionUpdateProfile

          public static URI loginActionUpdateProfile(URI baseUri,
                                     String realmId)

    - #### loginActionEmailVerification

          public static URI loginActionEmailVerification(URI baseUri,
                                         String realmId)

    - #### loginActionEmailVerificationBuilder

          public static javax.ws.rs.core.UriBuilder loginActionEmailVerificationBuilder(URI baseUri)

    - #### loginPasswordReset

          public static URI loginPasswordReset(URI baseUri,
                               String realmId)

    - #### loginPasswordResetBuilder

          public static javax.ws.rs.core.UriBuilder loginPasswordResetBuilder(URI baseUri)

    - #### loginUsernameReminder

          public static URI loginUsernameReminder(URI baseUri,
                                  String realmId)

    - #### loginUsernameReminderBuilder

          public static javax.ws.rs.core.UriBuilder loginUsernameReminderBuilder(URI baseUri)

    - #### realmLoginAction

          public static URI realmLoginAction(URI baseUri,
                             String realmId)

    - #### realmLoginPage

          public static URI realmLoginPage(URI baseUri,
                           String realmId)

    - #### realmLogout

          public static javax.ws.rs.core.UriBuilder realmLogout(URI baseUri)

    - #### realmRegisterAction

          public static URI realmRegisterAction(URI baseUri,
                                String realmId)

    - #### realmRegisterPage

          public static URI realmRegisterPage(URI baseUri,
                              String realmId)

    - #### realmInstalledAppUrnCallback

          public static URI realmInstalledAppUrnCallback(URI baseUri,
                                         String realmId)

    - #### realmOauthAction

          public static URI realmOauthAction(URI baseUri,
                             String realmId)

    - #### realmCode

          public static URI realmCode(URI baseUri,
                      String realmId)

    - #### socialBase

          public static javax.ws.rs.core.UriBuilder socialBase(URI baseUri)

    - #### socialCallback

          public static URI socialCallback(URI baseUri)

    - #### socialRedirectToProviderAuth

          public static URI socialRedirectToProviderAuth(URI baseUri,
                                         String realmId)

    - #### themeRoot

          public static URI themeRoot(URI baseUri)

Copyright © 2014. All Rights Reserved.